
Redmine - Defect #15381

Error pages improvement

2013-11-18 11:37 - Ksenia Altbregen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution:  Affected version:  

Description

Attached patch factors out CSS style for 404 and 500 error pages into public/stylesheets/error_pages.css and changes doctype into

html5.

Now these pages pass w3c validation.

Related issues:

Related to Redmine - Defect #5475: Non conformances with W3C xhtml transition... Confirmed 2010-05-08

Associated revisions

Revision 12308 - 2013-11-19 20:21 - Jean-Philippe Lang

HTML5 conformance of error pages (#15381).

History

#1 - 2013-11-18 11:37 - Ksenia Altbregen

Related to #5475.

#2 - 2013-11-18 11:58 - Mischa The Evil

- Related to Defect #5475: Non conformances with W3C xhtml transitional standards added

#3 - 2013-11-18 22:41 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.4.1

#4 - 2013-11-19 10:40 - Ksenia Altbregen

I've also asked two questions of "how would be better" kind in #15191 and #5475, if I may notice.

#5 - 2013-11-19 20:23 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

Conformance of error pages is fixed in r12308. Absolute links to the stylesheet wouldn't work when Redmine is installed in a sub-URI and I prefered

to keep the styles embedded with each page. Thanks for pointing this out.

#6 - 2013-11-23 09:25 - Jean-Philippe Lang

- Target version changed from 2.4.1 to 2.4.2

#7 - 2013-12-21 12:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 2.4.2 to 2.5.0

Files

error_pages.diff 1.88 KB 2013-11-18 Ksenia Altbregen
